Bug 310578 - KML ScreenOverlay reader
Summary: KML ScreenOverlay reader
Status: RESOLVED FIXED
Alias: None
Product: marble
Classification: Unclassified
Component: general (show other bugs)
Version: 1.6 (KDE 4.11)
Platform: unspecified Linux
: NOR task (vote)
Target Milestone: ---
Assignee: Mohammed Nafees
URL: http://marble.kde.org/kml-guide.php
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2012-11-23 22:09 UTC by Dennis Nienhüser
Modified: 2012-12-03 13:20 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Nienhüser 2012-11-23 22:09:41 UTC
Create a kml tag reader for ScreenOverlay (including a GeoDataScreenOverlay) Hint: The existing tag handlers and geodata classes are good examples. See also our notes on KML support in Marble.
Comment 1 Dennis Nienhüser 2012-12-03 11:21:27 UTC
Patch at http://www.google-melange.com/gci/task/view/google/gci2012/8025207
Comment 2 Dennis Nienhüser 2012-12-03 13:20:07 UTC
Git commit 37a21a79ddb36408468c87ca53d479229957cfcc by Dennis Nienhüser, on behalf of Mohammed Nafees.
Committed on 03/12/2012 at 12:19.
Pushed by nienhueser into branch 'kitchen'.

KML ScreenOverlay reader.

Note: Dummy empty line inserted in geodata/CMakeLists.txt to have
cmake pick up the new files. If you still get an undefined reference
for KmlScreenOverlayTagHandler or similar, please invoke cmake
manually to have the GLOB calls execute again.

M  +1    -0    src/lib/geodata/CMakeLists.txt
A  +145  -0    src/lib/geodata/data/GeoDataScreenOverlay.cpp     [License: LGPL]
A  +61   -0    src/lib/geodata/data/GeoDataScreenOverlay.h     [License: LGPL]
A  +98   -0    src/lib/geodata/data/GeoDataVec2.cpp     [License: LGPL]
A  +51   -0    src/lib/geodata/data/GeoDataVec2.h     [License: LGPL]
M  +3    -0    src/lib/geodata/handlers/kml/KmlHrefTagHandler.cpp
M  +3    -0    src/lib/geodata/handlers/kml/KmlIconTagHandler.cpp
A  +49   -0    src/lib/geodata/handlers/kml/KmlOverlayXYTagHandler.cpp     [License: LGPL]
A  +30   -0    src/lib/geodata/handlers/kml/KmlOverlayXYTagHandler.h     [License: LGPL]
A  +41   -0    src/lib/geodata/handlers/kml/KmlRotationTagHandler.cpp     [License: LGPL]
A  +30   -0    src/lib/geodata/handlers/kml/KmlRotationTagHandler.h     [License: LGPL]
A  +44   -0    src/lib/geodata/handlers/kml/KmlRotationXYTagHandler.cpp     [License: LGPL]
A  +30   -0    src/lib/geodata/handlers/kml/KmlRotationXYTagHandler.h     [License: LGPL]
A  +54   -0    src/lib/geodata/handlers/kml/KmlScreenOverlayTagHandler.cpp     [License: LGPL]
A  +30   -0    src/lib/geodata/handlers/kml/KmlScreenOverlayTagHandler.h     [License: LGPL]
A  +44   -0    src/lib/geodata/handlers/kml/KmlScreenXYTagHandler.cpp     [License: LGPL]
A  +30   -0    src/lib/geodata/handlers/kml/KmlScreenXYTagHandler.h     [License: LGPL]
A  +44   -0    src/lib/geodata/handlers/kml/KmlSizeTagHandler.cpp     [License: LGPL]
A  +30   -0    src/lib/geodata/handlers/kml/KmlSizeTagHandler.h     [License: LGPL]
M  +1    -0    src/lib/geodata/parser/GeoDataTypes.cpp
M  +1    -0    src/lib/geodata/parser/GeoDataTypes.h

http://commits.kde.org/marble/37a21a79ddb36408468c87ca53d479229957cfcc